apiVersion: v1
kind: ConfigMap
metadata:
  name: heartbeat-profile
  namespace: {{ .Values.zone.name }}
  labels:
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}

data:
  profile.yaml: |-
    endpoint:
      - protocol: http
        service: restful
        hostname: *xdaq.global.host
        port: *xdaq.global.port
        network: restfulnet
    application:
      - class: 'restate::Application'
        id: 10
        instance: 0
        network: local
        group: core
        service: restate
        heartbeat: true
        properties:
          rootDir: '/opt/xdaq/htdocs'
          allowCompression: false
      - class: 'hyperdaqrf::Application'
        id: 20
        instance: 0
        network: local
        group: core
        service: hyperdaq
        heartbeat: true
      - class: 'metris::MQTT'
        id: 30
        instance: 0
        network: local
        group: core
        service: metris 
        heartbeat: true
        properties:
          qos: 2
          broker: 'metris'
          
      - class: 'application::Application'
        id: 40
        instance: 0
        network: local
        group: core
        service: application
        heartbeat: true
        properties: {}
      - class: 'heartbeat::Application'
        id: 50
        instance: 0
        network: local
        group: core
        service: heartbeat 
        heartbeat: true
        properties: {}
    module:
      - '${XDAQ_ROOT}/lib/libapixgi.so'
      - '${XDAQ_ROOT}/lib/libapirestate.so'
      - '${XDAQ_ROOT}/lib/librestate.so'
      - '${XDAQ_ROOT}/lib/libhyperdaqrf.so'
      - '${XDAQ_ROOT}/lib/libapimetris.so'
      - '${XDAQ_ROOT}/lib/libmetris.so'
      - '${XDAQ_ROOT}/lib/libapplication.so'
      - '${XDAQ_ROOT}/lib/libheartbeat.so'
---
apiVersion: v1
kind: ConfigMap
metadata:
  name: speedial-profile
  namespace: {{ .Values.zone.name }}
  labels:
    heritage: {{ .Release.Service }}
    release: {{ .Release.Name }}

data:
  profile.yaml: |-
    endpoint:
      - protocol: http
        service: restful
        hostname: *xdaq.global.host
        port: *xdaq.global.port
        network: restfulnet
    application:
      - class: 'restate::Application'
        id: 10
        instance: 0
        network: local
        group: core
        service: restate
        properties:
          rootDir: '/opt/xdaq/htdocs'
          allowCompression: false
      - class: 'hyperdaqrf::Application'
        id: 20
        instance: 0
        network: local
        group: core
        service: hyperdaq
      - class: 'topics::MQTT'
        id: 30
        instance: 0
        network: local
        group: core
        service: topics
        properties:
          buses:
            - name: 'emqx'
              hostname: metris
              port: {{ .Values.zone.network.mqtt.port }}
              qos: 2
              publishtimeout: 10
      - class: 'speedial::Application'
        id: 50
        instance: 0
        network: local
        group: core
        service: speedial 
        heartbeat: true
        properties:
          busname: 'emqx'
    module:
      - '${XDAQ_ROOT}/lib/librestate.so'
      - '${XDAQ_ROOT}/lib/libhyperdaqrf.so'
      - '${XDAQ_ROOT}/lib/libtopics.so'
      - '${XDAQ_ROOT}/lib/libspeedial.so'



